IMPORT os -- For os.Path.basename

DEFINE  action        STRING

DEFINE  edit1         STRING
DEFINE  edit2         STRING
DEFINE  edit3         STRING
DEFINE  edit4         STRING

DEFINE  FileSourceDirectory STRING
DEFINE  FileTargetDirectory STRING

MAIN
  CLOSE WINDOW screen

  OPEN WINDOW main WITH FORM "simple"

  -- Change me
  LET FileSourceDirectory = "/home/jch/factory/ft/simple-ft-sample/files/"
  -- Change me
  LET FileTargetDirectory = "/tmp/"

  MENU "MenuTitle"

    COMMAND "Single and Multiple PutFile"
        INPUT BY NAME action
          WITHOUT DEFAULTS ATTRIBUTES(UNBUFFERED)
          ON ACTION PutFile
            CALL fgl_putfile( FileSourceDirectory || "file.txt", FileTargetDirectory || "file.txt")
            LET action = "Put File"
          ON ACTION MultiplePutFile
            CALL fgl_putfile( FileSourceDirectory || "prog.exe", FileTargetDirectory || "prog.exe")
            CALL fgl_putfile( FileSourceDirectory || "doc.pdf" , FileTargetDirectory || "doc.pdf")
            CALL fgl_putfile( FileSourceDirectory || "genero_logo_big.png" , FileTargetDirectory || "genero_logo_big.png")
            LET action = "Multiple Put File"
           ON ACTION PutBigFile
            CALL fgl_putfile( FileSourceDirectory || "data.dat" , FileTargetDirectory || "data.dat")
            LET action = "Put Big File (16Mo)"
           ON ACTION Void
            LET action = "Void Action"
         END INPUT

    COMMAND "Single GetFile"
        INPUT BY NAME action, edit1
          WITHOUT DEFAULTS ATTRIBUTES(UNBUFFERED)
          ON ACTION SingleGetFile
            CALL fgl_getfile( edit1, FileTargetDirectory || os.Path.basename(edit1) )
            LET action = "Single Get File: " || FileTargetDirectory || os.Path.basename(edit1)
        END INPUT

    COMMAND "Multiple GetFile"
        INPUT BY NAME action, edit2, edit3
          WITHOUT DEFAULTS ATTRIBUTES(UNBUFFERED)
          ON ACTION MultipleGetFile
            CALL fgl_getfile( edit2, FileTargetDirectory || os.Path.basename(edit2) )
            CALL fgl_getfile( edit3, FileTargetDirectory || os.Path.basename(edit3) )
            LET action = "Multiple Get File: " || os.Path.basename(edit2) || " and " || os.Path.basename(edit3)
        END INPUT

    COMMAND "GetBlobUrl"
       -- Default link
       LET edit4 = "files/file.txt"

       INPUT BY NAME action, edit4
          WITHOUT DEFAULTS ATTRIBUTES(UNBUFFERED)
          ON ACTION GetBlobUrlPdfFile
            LET edit4 = "files/doc.pdf"
            LET action = "Create link to retrieve: " || edit4
          ON ACTION GetBlobUrlBigFile
            LET edit4 = "files/data.dat"
            LET action = "Create link to retrieve: " || edit4
        END INPUT

    COMMAND "Exit"
        EXIT MENU

    END MENU

  CLOSE WINDOW main

END MAIN
